:root {
  --body-background-color: black;
  --body-text-color: white;
  --header-background-color: black;
  --header-text-color: white;
  --main-background-color: black;
  --image-info-text-color: white;
  --controls-area-background-color: black;
  --controls-background-color: black;
  --controls-selected-color: grey;
  --controls-text-color: white;
  --play-speed-control-background-color: black;
  --play-speed-control-text-color: white;
  --share-how-background-color: black;
  --nasa-links-background-color: black;
  --nasa-links-text-color: grey;
  --button-color: #105bd8;
  --button-hover-color: #256de9;
  --button-action-color: #2a75ec;
  --button-text-color: white;
  --modal-background-color: white;
  --modal-text-color: black;
}

html {
  box-sizing: border-box;
}
*,
*:before,
*:after {
  box-sizing: inherit;
  /* margin: 0; */
}

body {
  background-color: var(--body-background-color);
  color: var(--body-text-color);
}
.hidden {
  display: none;
}

/* ------------------------------- MODALS ----------------------------------------- */
.shareModal {
  position: fixed;
  justify-content: center;
  inset: 0px;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.5);
}
.shareModal-box {
  position: relative;
  background-color: var(--modal-background-color);
  color: var(--modal-text-color);
  padding: 1.5rem;
  border-radius: 0.5rem /* 8px */;
}
.shareModal-close {
  position: absolute;
  top: 0;
  right: 0.7rem;
  font-size: 2rem;
  cursor: pointer;
}
.shareModal-close:hover {
  scale: 1.2;
}
.shareModal-close:active {
  scale: 1;
}
.shareModal-box h2 {
  font-size: 1.25rem /* 20px */;
  line-height: 1.75rem /* 28px */;
  font-weight: 600;
  padding-bottom: 1rem /* 16px */;
}
.shareModal-box p {
  font-size: 1rem /* 16px */;
  line-height: 1.5rem /* 24px */;
  margin-bottom: 1rem /* 16px */;
}
.share-link-container {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgb(247, 244, 244);
  gap: 0.5rem;
  border: 1px solid grey;
  border-radius: 10px;
  padding: 0.2rem;
}
@keyframes copyAnimation {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(0.95);
    color: rgb(48, 45, 45);
  }
  100% {
    transform: scale(1);
  }
}

.copy-animation {
  animation: copyAnimation 0.3s ease-in-out;
}
.share-link-container p {
  font-size: 0.9rem;
  align-self: center;
  margin: 0;
}
.shareModal-copy-button {
  width: 5rem;
  background-color: var(--button-color);
  color: var(--button-text-color);
  padding: 0.5rem 0;
  border-radius: 0.25rem /* 4px */;
}
.shareModal-copy-button:hover {
  background-color: var(--button-hover-color);
}
.shareModal-copy-button:active {
  background-color: var(--button-action-color);
}
.worksModal {
  position: fixed;
  /* padding-left: 30%; */
  justify-content: center;
  inset: 0px;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.5);
}
.how-it-works-textbox {
  position: relative;
  background-color: var(--modal-background-color);
  color: var(--modal-text-color);
  width: 60%;
  padding: 1.5rem;
  border-radius: 0.5rem /* 8px */;
}
.closeWorksModal {
  position: absolute;
  top: 0;
  right: 0.7rem;
  font-size: 2rem;
  cursor: pointer;
}
.closeWorksModal:hover {
  scale: 1.2;
}
.closeWorksModal:active {
  scale: 1;
}
.how-it-works-textbox h2 {
  font-size: 1.25rem /* 20px */;
  line-height: 1.75rem /* 28px */;
  font-weight: 700;
  margin-bottom: 1rem /* 16px */;
}
.how-it-works-textbox section {
  margin-bottom: 1rem /* 16px */;
}
/* --------------------------------HEADER------------------------------------------------ */
.app-logo {
  display: flex;
  background-color: var(--header-background-color);
  color: var(--header-text-color);
  align-items: center;
  font-size: 2rem;
  padding: 0 1.5rem;
  font-weight: bold;
  line-height: 2rem;
}
.nasa-logo-container {
  width: 100%;
  background-color: var(--header-background-color);
  display: flex;
  justify-content: end;
}
.nasa-logo {
  background-color: var(--header-background-color);
  padding-top: 1rem;
  padding-right: 1.5rem;
}
.nasa-logo-container img {
  width: 7rem;
}
.nasa-logo:hover {
  scale: 1.05;
}
.nasa-logo:active {
  scale: 0.95;
}
/* ------------------------------- IMAGE PICKER ----------------------------------------- */
.image-picker-container {
  background-color: var(--header-background-color);
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 1.2rem;
}
.image-container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.1rem;
}
.left-arrow,
.right-arrow {
  height: 50px;
  cursor: pointer;
}
.left-arrow:hover,
.right-arrow:hover {
  scale: 1.05;
}
.left-arrow:active,
.right-arrow:active {
  scale: 1;
}
.image-container img {
  width: 75px;
}
.not-selected {
  display: none;
}
.empty {
  display: inline-block;
  width: 75px;
  background-color: transparent;
}
.left {
  display: inline-block;
  order: 1;
  scale: 0.8;
  opacity: 0.7;
}
.selected {
  display: inline-block;
  width: 75px;
  order: 2;
  border: 0.1px solid white;
}
.right {
  display: inline-block;
  order: 3;
  scale: 0.8;
  opacity: 0.7;
}
/* -------------------------------------IMAGE INFO--------------------------------------------- */
.image-info {
  background-color: var(--main-background-color);
  color: var(--image-info-text-color);
  padding: 1.5rem 1.5rem;
}
.imageTitle {
  font-size: 1.25rem;
  line-height: 1.75rem;
  font-weight: 600;
}
.imageDescription {
  padding: 0.75rem 5rem 0 0;
  font-size: 1.2rem;
}
.infoLinkText {
  font-style: italic;
  text-decoration: none;
  color: #2a75ec;
}
.infoLinkText:hover {
  text-decoration: underline;
}
/* --------------------------------------CONTROLS----------------------------------------------- */
.controls {
  background-color: var(--controls-area-background-color);
  color: var(--controls-text-color);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.playhead-top-row-container {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
}
.direction-header {
  font-weight: 700;
  letter-spacing: 0.2px;
  justify-self: start;
  align-self: flex-end;
}
.playhead-options-box {
  width: 100%;
  display: flex;
  flex-direction: column;
  background-color: var(--controls-background-color);
  color: var(--text-color);
}
.playhead-options-row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
}
.playhead-options-square {
  display: flex;
  justify-content: center;
  align-items: center;
}
.box-leftright {
  border-left-width: 2px;
  border-top-width: 2px;
  border-right-width: 1px;
  border-bottom-width: 1px;
  border-top-left-radius: 0.375rem /* 6px */;
}
.box-updown {
  border-left-width: 1px;
  border-top-width: 2px;
  border-right-width: 2px;
  border-bottom-width: 1px;
  border-top-right-radius: 0.375rem /* 6px */;
}
.box-cwccw {
  border-left-width: 2px;
  border-top-width: 1px;
  border-right-width: 1px;
  border-bottom-width: 2px;
  border-bottom-left-radius: 0.375rem /* 6px */;
  text-align: center;
}
.box-outin {
  border-left-width: 1px;
  border-top-width: 1px;
  border-right-width: 2px;
  border-bottom-width: 2px;
  border-bottom-right-radius: 0.375rem /* 6px */;
}
.reverse-option {
  display: flex;
  justify-content: center;
}
.reverse-box {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--controls-background-color);
  color: var(--text-color);
  border-left-width: 2px;
  border-top-width: 0;
  border-right-width: 2px;
  border-bottom-width: 2px;
  border-bottom-right-radius: 0.375rem /* 6px */;
  border-bottom-left-radius: 0.375rem /* 6px */;
}
.playhead-type {
  width: 7.9rem;
  height: 7.9rem;
  cursor: pointer;
}

.playhead-type-selected {
  background-color: var(--controls-selected-color);
}
.reverse {
  width: 7.9rem;
  height: 3rem;
  cursor: pointer;
}

.reverse-selected {
  background-color: var(--controls-selected-color);
}
.mapping-dropdown {
  width: auto;
  padding: 0.25rem 0;
}
.mapping-dropdown-header {
  font-weight: 700;
  letter-spacing: 0.2px;
}
.mapping-dropdown-options {
  color: var(--text-color);
  text-align: center;
  background-color: var(--controls-background-color);
  width: 15.8rem;
  padding: 0.25rem 1rem;
  border-width: 2px;
  border-radius: 0.375rem /* 6px */;
}
/* ----------------------------------MOBILE CONTROLS----------------------------------------------- */
.controls-close-button {
  display: none;
}
/* --------------------------------PLAY BUTTON AND SPEED SLIDER------------------------------------ */
.play-speed-control-button {
  background-color: var(--play-speed-control-background-color);
  color: var(--play-speed-control-text-color);
  margin: 0;
  padding: 0.7rem 1rem;
  font-size: large;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.play-control-button-container {
  display: flex;
}
.play-pause-button {
  cursor: pointer;
  display: flex;
  justify-content: start;
  align-items: center;
  width: 150px;
  height: 38px;
  color: var(--text-color);
  border-radius: 0.25rem /* 4px */;
  /* gap: 0.5rem; */
}
.play-button-text {
  width: 4rem;
  font-size: 1.3rem;
  font-weight: 600;
}
.play-pause-image {
  width: 2.5rem;
}
.play-pause-image:hover {
  scale: 1.05;
}
.play-pause-image:active {
  scale: 0.95;
}
.speed-slider {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}
input[type="range"] {
  accent-color: var(--button-color);
}
.speed-slider-text {
  font-size: 1.3rem;
  font-weight: 600;
}

/* SLIDER FOR SAFARI ONLY */
.safari-slider {
  -webkit-appearance: none;
  width: 200px;
  height: 5px;
  background: rgb(199, 198, 198);
  border-radius: 5px;
  cursor: pointer;
}

/* ------------------------------BUTTONS------------------------------------------- */
.share-how-container {
  background-color: var(--share-how-background-color);
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.2rem;
}
.openShareModal {
  cursor: pointer;
  background-color: var(--button-color);
  color: var(--button-text-color);
  width: 124px;
  height: 38px;
  padding: 0.5rem 1.5rem;
  border-radius: 0.25rem /* 4px */;
  display: flex;
  align-items: center;
  gap: 0.5rem;
}
.openShareModal img {
  width: 1.5rem;
}
.openShareModal:hover {
  background-color: var(--button-hover-color);
}
.openShareModal:active {
  background-color: var(--button-action-color);
}
.openWorksModal {
  background-color: var(--button-color);
  color: var(--button-text-color);
  width: 124px;
  height: 38px;
  border-radius: 0.25rem /* 4px */;
}
.openWorksModal:hover {
  background-color: var(--button-hover-color);
}
.openWorksModal:active {
  background-color: var(--button-action-color);
}
/* ---------------------------------CANVAS-------------------------------------------- */
.canvas {
  width: auto;
  display: grid;
}
#canvas-container,
#canvas-alt-text {
  grid-area: 1 / 1;
  width: 600px;
  height: 600px;
}
/* ------------------------------------NASA SOCIAL LINKS------------------------------ */
.nasa-links-container {
  background-color: var(--nasa-links-background-color);
  display: flex;
  justify-content: center;
  align-items: center;
  justify-content: start;
  padding: 0 1rem;
  gap: 2rem;
}
.nasa-web-link {
  color: var(--nasa-links-text-color);
}
.nasa-social-links {
  color: var(--nasa-links-text-color);
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center;
}
.nasa-social-icons {
  display: flex;
  width: 6.8rem;
  padding-top: 0.2rem;
}

/* -----------------------------------GRID-------------------------------------------- */
.grid-container {
  display: grid;
  grid-template-columns: 1fr 1fr 600px 1fr 1fr;
  grid-template-rows: auto;
  justify-content: center;
  /* grid-template-areas:
    "app-logo image-picker nasa-logo-container"
    "image-info canvas controls"
    "share play-speed-control-button how-it-works"; */
}
.app-logo {
  grid-column: 1/3;
  grid-row: 1/2;
}
.image-picker-container {
  grid-column: 3/4;
  grid-row: 1/2;
}

.nasa-logo-container {
  grid-column: 4/6;
  grid-row: 1/2;
}
.image-info {
  grid-column: 1/3;
  grid-row: 2/3;
}
.canvas {
  grid-column: 3/4;
  grid-row: 2/3;
}
.controls {
  grid-column: 4/6;
  grid-row: 2/3;
}
.play-speed-control-button {
  grid-column: 3/4;
  grid-row: 3/4;
}
.nasa-links-container {
  grid-column: 1/3;
  grid-row: 3/4;
}
.share-how-container {
  grid-column: 4/6;
  grid-row: 3/4;
}

/* --------------------------------------MEDIA QUERIES------------------------------------ */
@media (max-width: 1400px) {
  .imageDescription {
    padding: 0.75rem 2rem 0 0;
    font-size: 1rem;
  }
  .infoLinkText {
    font-size: 1rem;
  }
}
@media (max-width: 1200px) {
  .imageDescription {
    padding: 0.75rem 0 0 0;
    font-size: 0.9rem;
  }
  .infoLinkText {
    font-size: 0.9rem;
  }

  .playhead-type {
    width: 7rem;
    height: 7rem;
  }
  .reverse {
    width: 7rem;
    height: 2.6rem;
  }
  .mapping-dropdown-options {
    width: 14rem;
    padding: 0.25rem 1rem;
    border-width: 2px;
    border-radius: 0.375rem /* 6px */;
  }
  .openShareModal {
    width: 6.9rem;
    height: 2.4rem;
    padding: 0.5rem 1.5rem;
    border-radius: 0.25rem /* 4px */;
    gap: 0.5rem;
  }
  .openShareModal img {
    width: 1.5rem;
  }
  .openWorksModal {
    width: 6.9rem;
    height: 2.4rem;
    border-radius: 0.25rem /* 4px */;
  }
}
@media (max-width: 1100px) {
  .grid-container {
    grid-template-columns: 1fr 1fr 550px 1fr 1fr;
  }
  .image-picker-container {
    padding-top: 0.2rem;
  }
  .nasa-logo {
    padding-top: 0.5rem;
  }
  #canvas-container,
  #canvas-alt-text {
    width: 550px;
    height: 550px;
  }
  .imageDescription {
    padding: 0.75rem 0 0 0;
    font-size: 0.8rem;
  }
  .infoLinkText {
    font-size: 0.9rem;
  }

  .playhead-type {
    width: 6rem;
    height: 6rem;
  }
  .reverse {
    width: 6rem;
    height: 2.3rem;
  }
  .mapping-dropdown-options {
    width: 12rem;
    padding: 0.25rem 1rem;
  }
  .play-button-text {
    width: 4rem;
    font-size: 1.3rem;
  }
  .play-pause-image {
    width: 2.5rem;
  }
  .speed-slider-text {
    font-size: 1.3rem;
  }
  .openShareModal,
  .openWorksModal {
    width: 5.9rem;
    height: 2.4rem;
    font-size: 0.9rem;
  }
  .openShareModal {
    padding: 0.5rem 1.5rem;
    border-radius: 0.25rem /* 4px */;
    gap: 0.5rem;
  }
  .openShareModal img {
    width: 1.2rem;
  }
  .nasa-links-container a,
  p {
    font-size: 0.8rem;
  }
  .nasa-social-icons {
    width: 6rem;
  }
}
@media (max-width: 1000px) {
  .grid-container {
    grid-template-columns: 1fr 1fr 500px 1fr 1fr;
  }
  .app-logo {
    font-size: 1.8rem;
    padding: 0 1.5rem;
    line-height: 2rem;
  }
  .image-picker-container {
    padding-top: 0.2rem;
  }
  .image-container img {
    width: 4rem;
  }
  .left-arrow,
  .right-arrow {
    height: 3rem;
  }
  .nasa-logo {
    padding-top: 0.5rem;
  }
  .nasa-logo-container img {
    width: 7rem;
  }
  #canvas-container,
  #canvas-alt-text {
    width: 500px;
    height: 500px;
  }
  .imageDescription {
    padding: 0.75rem 0 0 0;
    font-size: 0.75rem;
  }
  .infoLinkText {
    font-size: 0.9rem;
  }

  .playhead-type {
    width: 5.5rem;
    height: 5.5rem;
  }
  .reverse {
    width: 5.5rem;
    height: 2.1rem;
  }
  .mapping-dropdown-header,
  .direction-header {
    font-size: 1rem;
  }
  .mapping-dropdown-options {
    width: 11rem;
    padding: 0.1rem 1rem;
  }
  .play-pause-button {
    width: 6rem;
  }
  .play-button-text {
    width: 3.4rem;
    font-size: 1.2rem;
  }
  .play-pause-image {
    width: 2.2rem;
  }
  .speed-slider-text {
    font-size: 1.2rem;
  }
  .openShareModal,
  .openWorksModal {
    width: 5.4rem;
    height: 2.4rem;
    font-size: 0.85rem;
  }
  .openShareModal {
    padding: 0.5rem 1rem;
    border-radius: 0.25rem /* 4px */;
    gap: 0.5rem;
  }
  .openShareModal img {
    width: 1rem;
  }
  .nasa-links-container a,
  p {
    font-size: 0.7rem;
  }
  .nasa-social-icons {
    width: 5rem;
  }
}
@media (max-width: 900px) {
  .grid-container {
    grid-template-columns: 1fr 1fr 450px 1fr 1fr;
  }
  #canvas-container,
  #canvas-alt-text {
    width: 450px;
    height: 450px;
  }
  .app-logo {
    font-size: 1.6rem;
    padding: 0 1.5rem;
    line-height: 2rem;
  }
  .image-picker-container {
    padding-top: 0.2rem;
  }
  .image-container img {
    width: 3.8rem;
  }
  .left-arrow,
  .right-arrow {
    height: 3rem;
  }
  .nasa-logo-container img {
    width: 7rem;
  }

  .imageDescription {
    padding: 0.75rem 0 0 0;
    font-size: 0.6rem;
  }
  .infoLinkText {
    font-size: 0.9rem;
  }

  .playhead-type {
    width: 5rem;
    height: 5rem;
  }
  .reverse {
    width: 5.5rem;
    height: 2.1rem;
  }
  .mapping-dropdown-header,
  .direction-header {
    font-size: 0.9rem;
  }
  .mapping-dropdown-options {
    width: 10rem;
    padding: 0.1rem 1rem;
  }
  .play-pause-button {
    width: 5rem;
  }
  .play-button-text {
    width: 3.4rem;
    font-size: 1.2rem;
  }
  .play-pause-image {
    width: 2rem;
  }
  .speed-slider-text {
    font-size: 1.2rem;
  }
  .openShareModal,
  .openWorksModal {
    width: 5rem;
    height: 2.4rem;
    font-size: 0.8rem;
  }
  .openShareModal {
    padding: 0.5rem 1rem;
    border-radius: 0.25rem /* 4px */;
    gap: 0.5rem;
  }
  .openShareModal img {
    width: 1rem;
  }
  .nasa-links-container a,
  p {
    font-size: 0.7rem;
  }
  .nasa-social-icons {
    width: 5rem;
  }
}
@media (max-width: 600px) {
  /* ---------------------------======-----MODALS------------------------------------------ */
  .shareModal {
    width: 100%;
    height: 100%;
    overflow-y: auto;
  }
  .shareModal-box {
    width: 90%;
  }
  .shareModal-close {
    top: 0.1rem;
    right: 0.8rem;
    font-size: 2rem;
  }
  .shareModal-box h2 {
    font-size: 1.25rem /* 20px */;
    line-height: 1.75rem /* 28px */;
    font-weight: 700;
  }
  .shareModal-box p {
    width: 100%;
    font-size: 1rem /* 16px */;
    line-height: 1.5rem /* 24px */;
  }
  .share-link-container {
    flex-direction: column;
    text-align: center;
    gap: 0.3rem;
  }
  .share-link-container P {
    padding: 0 0.2rem;
    overflow-wrap: break-word;
  }
  .how-it-works-textbox {
    width: 90%;
    height: 90%;
    overflow-y: auto;
  }
  .how-it-works-textbox h2 {
    font-size: 1rem /* 20px */;
    line-height: 1rem /* 28px */;
    font-weight: 700;
    margin-bottom: 1rem /* 16px */;
  }
  .how-it-works-textbox section {
    max-height: 90%;
    font-size: 0.85rem;
  }
  .how-it-works-textbox section p:last-child {
    padding-bottom: 1.5rem;
  }
  .closeWorksModal {
    top: 0.1rem;
    right: 0.8rem;
    font-size: 2rem;
  }
  /* -------------------------------------CONTROLS----------------------------------------- */
  .controls-button {
    display: inline-block;
    width: 90px;
    height: 38px;
    margin-right: 1rem;
    padding: 0.7rem 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--button-color);
    color: var(--text-color);
    border-radius: 0.25rem /* 4px */;
  }
  .controls {
    position: fixed;
    left: -100%;
    width: 100%;
    height: 90%;
    opacity: 0;
    background: var(--controls-background-color);
    transition: left 0s 0.5s, opacity 0.5s;
  }
  .controls.show {
    left: 0;
    opacity: 1;
    transition: left 0s, opacity 0.5s;
  }
  .controls-close-button img {
    width: 2rem;
  }
  .playhead-top-row-container {
    justify-content: space-between;
  }
  .controls-close-button {
    display: block;
    padding-left: 9rem;
    opacity: 0;
    background: var(--controls-background-color);
    transition: left 0s 0.5s, opacity 0.5s;
  }
  .controls-close-button.show {
    opacity: 1;
    transition: left 0s, opacity 0.5s;
  }
  .direction-header {
    padding-left: 1.6rem;
  }

  .playhead-type {
    width: 7rem;
    height: 7rem;
  }
  .reverse {
    width: 7rem;
    height: 2.6rem;
  }
  .mapping-dropdown-header,
  .direction-header {
    font-size: 1rem;
  }
  .mapping-dropdown-options {
    width: 14rem;
    padding: 0.1rem 1rem;
  }
  /* --------------------------------PLAY BUTTON AND SPEED SLIDER-------------------------- */
  .play-speed-control-button {
    flex-direction: column;
    gap: 1rem;
  }
  .play-control-button-container {
    width: 100%;
    justify-content: space-around;
  }
  .play-pause-button {
    width: 8rem;
  }
  .play-button-text {
    width: 4rem;
    font-size: 1.4rem;
  }
  .play-pause-image {
    width: 2.4rem;
  }
  .speed-slider-text {
    font-size: 1.3rem;
  }
  .speed-slider {
    margin: 0 1rem;
  }
  #playheadSpeedSlider {
    width: 100%;
  }
  .safari-slider {
    width: 100%;
  }
  /* -------------------------------------IMAGE DESCRIPTION----------------------------------------- */
  .imageDescription {
    padding: 0.75rem 0 0 0;
    font-size: 1rem;
  }
  /* ------------------------------------------FOOTER---------------------------------------------- */
  .openShareModal,
  .openWorksModal {
    width: 8rem;
    height: 2.4rem;
    font-size: 1.1rem;
  }
  .openShareModal {
    padding: 0.5rem 1rem;
    border-radius: 0.25rem /* 4px */;
    gap: 0.5rem;
  }
  .openShareModal img {
    width: 1.5rem;
  }
  .nasa-links-container a,
  p {
    font-size: 1rem;
  }
  .nasa-social-icons {
    width: 7rem;
  }
  /* --------------------------------------CANVAS----------------------------------------- */
  #canvas-container,
  #canvas-alt-text {
    width: 100vw;
    height: 100vw;
  }
  /* -------------------------------------GRID----------------------------------------- */
  .grid-container {
    grid-template-columns: repeat(4, 1fr);
  }

  .app-logo {
    grid-column: 1/4;
    grid-row: 1/2;
  }
  .nasa-logo-container {
    grid-column: 4/5;
    grid-row: 1/2;
    justify-self: end;
    align-self: end;
  }
  .image-picker-container {
    grid-column: 1/5;
    grid-row: 2/3;
  }
  .canvas {
    grid-column: span 4;
    grid-row: 3/4;
  }
  .play-speed-control-button {
    grid-column: span 4;
    grid-row: 4/5;
    padding: 0;
  }
  .image-info {
    grid-column: 1/5;
    grid-row: 5/6;
  }
  .share-how-container {
    grid-column: 1/5;
    grid-row: 6/7;
    justify-content: space-between;
    padding: 0 1rem;
  }
  .nasa-links-container {
    grid-column: 1/5;
    grid-row: 7/8;
    justify-content: space-between;
    padding: 0.5rem 1rem;
  }
}
